DefaultRemoteCommand (Selenium RC Server (Coreless) 1.0.1 API)
Date: 2009-06-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server
Class DefaultRemoteCommand

    java.lang.Object
      org.openqa.selenium.server.DefaultRemoteCommand

All Implemented Interfaces:
  RemoteCommand

    public class DefaultRemoteCommand

extends java.lang.Object
implements RemoteCommand

The default implementation of the RemoteCommand interface

Version:
  $Revision: 184 $
Author:
  Paul Hammant

Constructor Summary
`DefaultRemoteCommand(java.lang.String command, java.lang.String field, java.lang.String value)`
`DefaultRemoteCommand(java.lang.String command, java.lang.String field, java.lang.String value, java.lang.String piggybackedJavaScript)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getCommand()`
`java.lang.String` | `getCommandURLString()` Return the URL query string which will be sent to the browser
`java.lang.String` | `getField()`
`java.lang.String` | `getJSONString()`
`java.lang.String` | `getPiggybackedJavaScript()`
`java.lang.String` | `getValue()`
`int` | `hashCode()`
`static RemoteCommand` | `parse(java.lang.String inputLine)` Factory method to create a RemoteCommand from a wiki-style input string
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultRemoteCommand

    public DefaultRemoteCommand(java.lang.String command,
                                java.lang.String field,
                                java.lang.String value)

### DefaultRemoteCommand

    public DefaultRemoteCommand(java.lang.String command,
                                java.lang.String field,
                                java.lang.String value,
                                java.lang.String piggybackedJavaScript)

Method Detail

### getCommandURLString

    public java.lang.String getCommandURLString()

  Description copied from interface: `RemoteCommand`
  Return the URL query string which will be sent to the browser

  Specified by:
    `getCommandURLString` in interface `RemoteCommand`

### getJSONString

    public java.lang.String getJSONString()

### getCommand

    public java.lang.String getCommand()

  Specified by:
    `getCommand` in interface `RemoteCommand`

### getField

    public java.lang.String getField()

  Specified by:
    `getField` in interface `RemoteCommand`

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `RemoteCommand`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### parse

    public static RemoteCommand parse(java.lang.String inputLine)

  Factory method to create a RemoteCommand from a wiki-style input string

### getPiggybackedJavaScript

    public java.lang.String getPiggybackedJavaScript()

  Specified by:
    `getPiggybackedJavaScript` in interface `RemoteCommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.